Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.tomcat
Class TomcatLoader

    java.lang.Object
      org.apache.catalina.core.StandardService
          org.apache.catalina.startup.Embedded
              org.apache.catalina.startup.Catalina
                  com.intel.cosbench.tomcat.TomcatLoader

All Implemented Interfaces:
  javax.management.MBeanRegistration, org.apache.catalina.Lifecycle, org.apache.catalina.Service

    public class TomcatLoader

extends org.apache.catalina.startup.Catalina

The class encapsulates tomcat configuration loading and catalina starting up.

Author:
  ywang19

Field Summary

Fields inherited from interface org.apache.catalina.Lifecycle
`AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, DESTROY_EVENT, INIT_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

Constructor Summary
`TomcatLoader()`

Method Summary
`org.apache.catalina.core.StandardService` | `getService()` Returns the first Standard service defined in tomcat configuration file.
`void` | `start()` Start up tomcat service.

Methods inherited from class org.apache.catalina.startup.Catalina
`await, create, destroy, getConfigFile, getUseShutdownHook, load, load, main, process, setCatalinaBase, setCatalinaHome, setConfig, setConfigFile, setParentClassLoader, setServer, setUseShutdownHook, stop, stopServer, stopServer`

Methods inherited from class org.apache.catalina.startup.Embedded
`addAuthenticator, addConnector, addEngine, addLifecycleListener, createConnector, createConnector, createConnector, createConnector, createContext, createEngine, createHost, createLoader, findLifecycleListeners, getCatalinaBase, getCatalinaHome, getInfo, getRealm, isAwait, isRedirectStreams, isUseNaming, removeContext, removeEngine, removeHost, removeLifecycleListener, setAwait, setCatalinaBase, setCatalinaHome, setRealm, setRedirectStreams, setUseNaming`

Methods inherited from class org.apache.catalina.core.StandardService
`addExecutor, addPropertyChangeListener, findConnectors, findExecutors, getConnectorNames, getContainer, getContainerName, getDomain, getExecutor, getName, getObjectName, getServer, init, initialize, postDeregister, postRegister, preDeregister, preRegister, removeConnector, removeExecutor, removePropertyChangeListener, setContainer, setName, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TomcatLoader

    public TomcatLoader()

Method Detail

### start

    public void start()

  Start up tomcat service.

  This method will start up tomcat service, and show listening port information on console.

  Specified by:
    `start` in interface `org.apache.catalina.Lifecycle`
  Overrides:
    `start` in class `org.apache.catalina.startup.Catalina`

### getService

    public org.apache.catalina.core.StandardService getService()

  Returns the first Standard service defined in tomcat configuration file.

  This method will check tomcat configuration file, and find out the first tomcat service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD